import {NgModule} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';
import {LecturerRootComponent} from 'src/app/LecturerComponents/lecturer-root.component';
import {LecturerRoutesModule} from 'src/app/LecturerComponents/lecturer-routes.module';
import {LecturerDashboardComponent} from 'src/app/LecturerComponents/LecturerDashboardComponents/lecturer-dashboard.component';
import {LecturerInfoService} from 'src/app/services/lecturer-info.service';
import {LecturerPaperViewComponent} from 'src/app/LecturerComponents/LecturerPaperView/lecturer-paper-view.component';
import {LecturerDataService} from 'src/app/services/lecturer-data.service';
import {LecturerSubmissionsViewComponent} from 'src/app/LecturerComponents/LecturerSubmissionsView/lecturer-submissions-view.component';
import {LecturerResponseViewComponent} from 'src/app/LecturerComponents/LecturerResponseView/lecturer-response-view.component';
import {LecturerCreateOmpViewComponent} from 'src/app/LecturerComponents/LecturerCreateOMPView/lecturer-create-omp-view.component';
import {LecturerViewService} from 'src/app/services/lecturer-view.service';
import {LecturerTemplateViewComponent} from 'src/app/LecturerComponents/LecturerTemplateView/lecturer-template-view.component';
import {LecturerEditTemplateViewComponent} from 'src/app/LecturerComponents/LecturerEditTemplateView/lecturer-edit-template-view.component';
import {AgGridModule} from 'ag-grid-angular';
import {ViewClassesButtonComponent} from 'src/app/GridComponents/ViewClassesButton/view-classes-button.component';
import {ViewSubmissionsButtonComponent} from 'src/app/GridComponents/ViewSubmissionsButton/view-submissions-button.component';
import {DeletePaperButtonComponent} from 'src/app/GridComponents/DeletePaperButton/delete-paper-button.component';
import {ViewResponsesButtonComponent} from 'src/app/GridComponents/ViewResponsesButton/view-responses-button.component';
import {EditTemplateButtonComponent} from 'src/app/GridComponents/EditTemplateButton/edit-template-button.component';
import {DeleteTemplateButtonComponent} from '../GridComponents/DeleteTemplateButton/delete-template-button.component';
import {ChartModule} from 'angular-highcharts';
import {ResponseChartComponent} from './LecturerChartComponents/ResponseChart/response-chart.component';
import {LecturerNavbarComponent} from './LecturerNavBar/lecturer-navbar.component';

@NgModule({
  declarations: [
    LecturerRootComponent,
    LecturerDashboardComponent,
    LecturerPaperViewComponent,
    LecturerSubmissionsViewComponent,
    LecturerResponseViewComponent,
    LecturerCreateOmpViewComponent,
    LecturerTemplateViewComponent,
    LecturerEditTemplateViewComponent,
    ViewClassesButtonComponent,
    ViewSubmissionsButtonComponent,
    DeletePaperButtonComponent,
    ViewResponsesButtonComponent,
    EditTemplateButtonComponent,
    DeleteTemplateButtonComponent,
    ResponseChartComponent,
    LecturerNavbarComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    AgGridModule.withComponents([
      ViewClassesButtonComponent,
      ViewSubmissionsButtonComponent,
      DeletePaperButtonComponent,
      ViewResponsesButtonComponent,
      EditTemplateButtonComponent,
      DeleteTemplateButtonComponent
    ]),
    ChartModule,
    LecturerRoutesModule
  ],
  providers: [
    LecturerInfoService,
    LecturerDataService,
    LecturerViewService
  ]
})
export class LecturerRootModule { }
